{
    "path": "$OET_PATH/testcases/function_test/pkg_test/R/R-devel",
    "machine num": 1,
    "cases": [
        {
            "name": "test_R-devel_function_install_package",
            "desc": "测试通过install.packages函数安装一个CRAN上的软件包（如ggplot2）的功能是否正常。"
        },
        {
            "name": "test_R-devel_function_remove_package",
            "desc": "测试通过remove.packages函数卸载一个已安装软件包的功能是否正常。"
        },
        {
            "name": "test_R-devel_function_load_library",
            "desc": "测试通过library函数加载一个已安装软件包的功能是否正常。"
        },
        {
            "name": "test_R-devel_function_list_packages",
            "desc": "测试通过installed.packages函数列出所有已安装软件包的功能是否正常。"
        },
        {
            "name": "test_R-devel_function_basic_arithmetic",
            "desc": "测试R-devel基本算术运算（如加减乘除、求幂）的功能是否正常。"
        },
        {
            "name": "test_R-devel_function_vector_operation",
            "desc": "测试R-devel向量创建、索引及基本操作（如求和、均值）的功能是否正常。"
        },
        {
            "name": "test_R-devel_function_data_frame",
            "desc": "测试R-devel创建、操作数据框（data.frame）的基本功能是否正常。"
        },
        {
            "name": "test_R-devel_function_plot_basic",
            "desc": "测试R-devel基础绘图系统（如plot函数）生成简单图形的功能是否正常。"
        }
    ]
}